Oracle Java SE Multiple Vulnerabilities (January 2018 CPU)

High Nessus Plugin ID 106190

Synopsis

The remote Windows host contains a programming platform that is affected by multiple vulnerabilities.

Description

The version of Oracle (formerly Sun) Java SE or Java for Business installed on the remote host is prior to 9 Update 4, 8 Update 161, 7 Update 171, or 6 Update 181. It is, therefore, affected by multiple vulnerabilities related to the following components :

- AWT
- Deployment
- Hotspot
- I18n
- Installer
- JCE
- JGSS
- JMX
- JNDI
- JavaFX
- LDAP
- Libraries
- Serialization

Solution

Upgrade to Oracle JDK / JRE 9 Update 4, 8 Update 161 / 7 Update 171 / 6 Update 181 or later. If necessary, remove any affected versions.

Note that an Extended Support contract with Oracle is needed to obtain JDK / JRE 6 Update 95 or later.

See Also

http://www.nessus.org/u?b3fb6d01

http://www.nessus.org/u?7986d2c2

http://www.nessus.org/u?68d74646

http://www.nessus.org/u?4f2226dc

http://www.nessus.org/u?726f7054

Plugin Details

Severity: High

ID: 106190

File Name: oracle_java_cpu_jan_2018.nasl

Version: 1.5

Type: local

Agent: windows

Family: Windows

Published: 2018/01/19

Modified: 2018/07/25

Dependencies: 33545

Risk Information

Risk Factor: High

CVSSv2

Base Score: 9.3

Temporal Score: 6.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSSv3

Base Score: 8.3

Temporal Score: 7.2

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:oracle:jre, cpe:/a:oracle:jdk

Required KB Items: SMB/Java/JRE/Installed

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2018/01/16

Vulnerability Publication Date: 2018/01/16

Reference Information

CVE: CVE-2018-2579, CVE-2018-2581, CVE-2018-2582, CVE-2018-2588, CVE-2018-2599, CVE-2018-2602, CVE-2018-2603, CVE-2018-2618, CVE-2018-2627, CVE-2018-2629, CVE-2018-2633, CVE-2018-2634, CVE-2018-2637, CVE-2018-2638, CVE-2018-2639, CVE-2018-2641, CVE-2018-2657, CVE-2018-2663, CVE-2018-2677, CVE-2018-2678

BID: 102546, 102556, 102557, 102576, 102584, 102592, 102597, 102605, 102612, 102615, 102625, 102629, 102633, 102636, 102642, 102656, 102659, 102661, 102662, 102663